using System;
using System.IO;
using Microsoft.VisualBasic.CompilerServices;

namespace Cryptura;

public class Globals
{
    public static string GetKeyDirectory()
    {
        string homeDir = Environment.GetFolderPath(Environment.SpecialFolder.UserProfile);
        string keyDirectory = Path.Combine(homeDir, ".cryptura");
        Util.CheckDir(keyDirectory);
        return keyDirectory;
    }

    public static string GenerateUuidFilename()
    {
        return Guid.NewGuid() + ".wx";
    }
}


public static class ColorScheme
{
    public static class Primary
    {
        public static string Color_1 = "#28548a";
        public static string Color_2 = "#446597";
        public static string Color_3 = "#5c77a3";
        public static string Color_4 = "#7489b0";
        public static string Color_5 = "#8b9cbd";
        public static string Color_6 = "#a1afca";
    }
    public static class Surface
    {
        public static string Color_1 = "#161a21";
        public static string Color_2 = "#2b2f36";
        public static string Color_3 = "#42454c";
        public static string Color_4 = "#5a5d63";
        public static string Color_5 = "#73767b";
        public static string Color_6 = "#8e9094";
    }
}